For Each j In xian1
pderrort = False
pderrorw = False
pdtt = False
pdtw = False
pdwt = False
pdww = False
'i.Handle <> j.HandleÅųý×ÔÉíÅжϣ¡£¡£¡£¡ ×¢Òâ,´Ë´¦ÅжÏ,±ØÐëÈÃIÒ»¸ö¸öµÄÅжÏ,²»ÄÜÒÅ©.
If i.Handle <> j.Handle And Abs(i.StartPoint(0) - j.StartPoint(0)) < 0.0001 And Abs(i.StartPoint(1) - j.StartPoint(1)) < 0.0001 Then
pdtt = True
End If
If i.Handle <> j.Handle And Abs(i.StartPoint(0) - j.EndPoint(0)) < 0.0001 And Abs(i.StartPoint(1) - j.EndPoint(1)) < 0.0001 Then
pdtw = True
End If
If i.Handle <> j.Handle And Abs(i.EndPoint(0) - j.StartPoint(0)) < 0.0001 And Abs(i.EndPoint(1) - j.StartPoint(1)) < 0.0001 Then
pdwt = True
End If
If i.Handle <> j.Handle And Abs(i.EndPoint(0) - j.EndPoint(0)) < 0.0001 And Abs(i.EndPoint(1) - j.EndPoint(1)) < 0.0001 Then
pdww = True
End If
'Ö»Òª·¢ÏÖÓй²µã£¬¾Í²»ÈÏΪµãÁ¬½ÓÓÐÎÊÌâ¡£
If pdtt = True Or pdtw = True Then
pderrort = True
'ÏÂÃæÕâ¸öÅжϺÜÖØÒª,ÏÈÅжÏÊÇ·ñÓÐͷβÏà½Ó,Èç¹ûÓÐ,Ôò˵Ã÷ÏßÒѾ­Í·Î²¶¼Î޶ϵã!!!!!!!!
If i.Thickness <> 2 And i.Thickness <> 3 Then
i.Thickness = 1
Else
i.Thickness = 3
End If
End If
If pdwt = True Or pdww = True Then
pderrorw = True
If i.Thickness <> 1 And i.Thickness <> 3 Then
i.Thickness = 2
Else
i.Thickness = 3
End If
End If
Next j
'' jingdutiao = jingdutiao + 1
'' ThisDrawing.Utility.Prompt jingdutiao & "/" & tongji
'ÆðµãÅжÏΪFALSE £¬ËµÃ÷ÆðµãÊǹÂÁ¢µã¡£ÒÔÆðµãΪ°ë¾¶£¬¼Ó¸ö×¢¼Ç¡£¡£¡£¡£ÓÃʲôע¼ÇºÃÄØ¡£°¥¡£¡£¶àµãºÜ½üʱ£¬ºÜÄÑ׼ȷ²é¿´ÄĸöµãÓÐÎÊÌâ
Next i
''''''''''''''''''''''''''''''''''''''''''''''×¢Òâ,ÉÏÃæÒѾ­ÅжÏÁËËùÓж˵ãÓë¶ÏµãÖ®¼äÊÇ·ñ¹²µã,,,,
'''''''''''''''''''''''''''''''''''''''''''''ÌرðÊǽ«ÓÐÁ¬½ÓÏßͨ¹ýTHicknessÅжϳöÀ´ÁË
'''''''''''''''''''''''''''''''''''' 3 ´ú±íͷβ¶¼Óй²µã
'''''''''''''''''''''''''''''''''''2 ´ú±íÏ߶ÎÄ©¶ËÓй²µã
'''''''''''''''''''''''''''''''''''1 ´ú±íÏ߶ÎÆðµãÓй²µã
'''''''''''''''''''''''''''˼·:thinckness = 3µÄ²»ÔÙÅжÏ,,,,,,,
Dim intPointsAs Variant
Dim jdi As Integer, jdj As Integer
For Each i In xian
pderrort = False
pderrorw = False
pdtt = False
pdww = False
If i.Thickness <> 3 Then
For Each j In xian1
jdi = 0
jdj = 0
intPoints = i.IntersectWith(j, acExtendNone) 'ÔÚÁ½¸ö¶ÔÏó¾ù²»ÑÓÉìµÄÇé¿öÏÂ,Çó½»µã.
'VarType(intPoints) <> vbEmpty Èç¹ûûÓн»µã,·µ»ØÖµ²»ÊÇΪÁã,¶øÊÇΪ¿Õ!!!!!!
If VarType(intPoints) <> vbEmpty Then
'½»µã¾ÓÈ»¿ÉÄÜÓÐÈô¸É¸ö,ËùÒÔ,Òª×÷Ñ­»·..... jdi½»µã¸öÊý jdj ×ø±êxyz
For jdi = LBound(intPoints) To UBound(intPoints)
If i.Thickness = 1 And Abs(intPoints(jdj) - i.EndPoint(0)) < 0.0001 And Abs(intPoints(jdj + 1) - i.EndPoint(1)) < 0.0001 Then
pdww = True
i.Thickness = 3
End If
If i.Thickness = 2 And Abs(intPoints(jdj) - i.StartPoint(0)) < 0.0001 And Abs(intPoints(jdj + 1) - i.StartPoint(1)) < 0.0001 Then
pdtt = True
i.Thickness = 3
End If
'´¦ÀíʼµãºÍÄ©µã,ÕâÀﻹҪ½øÐÐÅжÏ.....×¢ÒâÅжϺóµÄ·½Ïò¶Ô²»¶Ô!!!
If i.Thickness = 0 And Abs(intPoints(jdj) - i.StartPoint(0)) < 0.0001 And Abs(intPoints(jdj + 1) - i.StartPoint(1)) < 0.0001 Then
If i.Thickness <> 2 And i.Thickness <> 3 Then
i.Thickness = 1
Else
i.Thickness = 3
End If
End If
If i.Thickness = 0 And Abs(intPoints(jdj) - i.EndPoint(0)) < 0.0001 And Abs(intPoints(jdj + 1) - i.EndPoint(1)) < 0.0001 Then
If i.Thickness <> 1 And i.Thickness <> 3 Then
i.Thickness = 2
Else
i.Thickness = 3
End If
End If
jdi = jdi + 2
jdj = jdj + 3
Next
End If
Next j
End If
Next i
'½â¾ö
' MsgBox tongji
'Ô°µÄ°ë¾¶´óСͳһÉèÖᣴ˴¦Îªcirclebig
circlebig = 1500
'ÏÔʾ×îÖÕ½á¹û....
For Each i In xian
If i.Thickness = 2 Then
Set MyCircle = ThisDrawing.ModelSpace.AddCircle(i.StartPoint, circlebig)
ElseIf i.Thickness = 1 Then
Set MyCircle = ThisDrawing.ModelSpace.AddCircle(i.EndPoint, circlebig)
ElseIf i.Thickness = 0 Then
Set MyCircle = ThisDrawing.ModelSpace.AddCircle(i.EndPoint, circlebig)
Set MyCircle = ThisDrawing.ModelSpace.AddCircle(i.StartPoint, circlebig)
' Else
' i.Layer = "11"
' i.Update
End If
Next i
For Each i In xian
'ÖØÖÃΪ³õʼֵ.
' I.Thickness = 0
i.Thickness = 0
Next i
页:
1
[2]